Run of fresh-snapshots for librasterlite2

Try this locally (using silver-platter):

debian-svp new-upstream --snapshot librasterlite2 
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
Processing: librasterlite2
  
Total 3320 (delta 2301), reused 3250 (delta 2235)
Total 0 (delta 0), reused 0 (delta 0)

Total 22 (delta 5), reused 20 (delta 3)
Using upstream branch https://www.gaia-gis.it/fossil/librasterlite2 (from configuration)
Elapsed time: 0:00:16.033318
Traceback (most recent call last):
  File "/home/janitor/debian-janitor/silver-platter/silver_platter/utils.py", line 204, in open_branch
    dir = ControlDir.open_from_transport(transport, probers)
  File "/home/janitor/debian-janitor/breezy/breezy/controldir.py", line 742, in open_from_transport
    format.check_support_status(_unsupported)
  File "/home/janitor/debian-janitor/breezy/breezy/plugins/fossil/__init__.py", line 59, in check_support_status
    raise FossilUnsupportedError()
breezy.plugins.fossil.FossilUnsupportedError: Fossil branches are not yet supported. To convert Fossil branches to Bazaar branches or vice versa, use fastimport.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/silver-platter/silver_platter/debian/upstream.py", line 330, in merge_upstream
    upstream_branch = open_branch(upstream_branch_location)
  File "/home/janitor/debian-janitor/silver-platter/silver_platter/utils.py", line 209, in open_branch
    raise converted
silver_platter.utils.BranchUnsupported: Fossil branches are not yet supported. To convert Fossil branches to Bazaar branches or vice versa, use fastimport.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/janitor/worker.py", line 270, in make_changes
    committer=self.committer, trust_package=TRUST_PACKAGE)
  File "/home/janitor/debian-janitor/silver-platter/silver_platter/debian/upstream.py", line 336, in merge_upstream
    raise UpstreamBranchUnavailable(upstream_branch_location, e)
silver_platter.debian.upstream.UpstreamBranchUnavailable: ('https://www.gaia-gis.it/fossil/librasterlite2', BranchUnsupported('https://www.gaia-gis.it/fossil/librasterlite2', 'Fossil branches are not yet supported. To convert Fossil branches to Bazaar branches or vice versa, use fastimport.'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.7/runpy.py", line 193, in _run_module_as_main
    "__main__", mod_spec)
  File "/usr/lib/python3.7/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 757, in <module>
    sys.exit(main())
  File "/home/janitor/debian-janitor/janitor/worker.py", line 725, in main
    resume_subworker_result=resume_subworker_result)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 581, in process_package
    resume_subworker_result, subpath=subpath)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 294, in make_changes
    if 'Fossil branches are not yet supported' in e.error:
TypeError: argument of type 'BranchUnsupported' is not iterable

Full worker log